Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex MPP Analytics for PostgreSQL
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Expand
        • Delete
        • Start
        • Stop
        • Move
        • RescheduleMaintenance
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListMasterHosts
        • ListSegmentHosts
        • ListBackups
        • Backup
        • Restore
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Backup
  1. API reference
  2. REST
  3. Cluster
  4. ListBackups

Managed Service for Greenplum® API, REST: Cluster.ListBackups

Written by
Yandex Cloud
Updated at July 13, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Backup

Retrieves a list of available backups for the specified Greenplum® cluster.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-greenplum/v1/clusters/{clusterId}/backups

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the Greenplum® cluster.
To get the Greenplum® cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return.
If the number of available results is larger than pageSize, the service returns a ListClusterBackupsResponse.nextPageToken that can be used to get the next page of results in subsequent list requests.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set pageToken to the ListClusterBackupsResponse.nextPageToken returned by the previous list request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "backups": [
    {
      "id": "string",
      "folderId": "string",
      "createdAt": "string",
      "sourceClusterId": "string",
      "startedAt": "string",
      "size": "string",
      "type": "string",
      "method": "string",
      "journalSize": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

backups[]

Backup

List of Greenplum® backups.

nextPageToken

string

This token allows you to get the next page of results for list requests.
If the number of results is larger than ListClusterBackupsRequest.pageSize, use the nextPageToken as the value for the ListClusterBackupsRequest.pageToken query parameter in the next list request.
Each subsequent list request has its own nextPageToken to continue paging through the results.

BackupBackup

Field

Description

id

string

Required field. Required. ID of the backup.

folderId

string

ID of the folder that the backup belongs to.

createdAt

string (date-time)

Time when the backup operation was completed.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

sourceClusterId

string

ID of the Greenplum® cluster that the backup was created for.

startedAt

string (date-time)

Time when the backup operation was started.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

size

string (int64)

Size of the backup in bytes.

type

enum (BackupCreationType)

How this backup was created (manual/automatic/etc...).

  • AUTOMATED: Backup created by automated daily schedule
  • MANUAL: Backup created by user request

method

enum (BackupMethod)

Method of backup creation.

  • BASE: Base backup
  • INCREMENTAL: Delta (incremental) Greenplum backup

journalSize

string (int64)

Size of the journal associated with backup, in bytes.

Was the article helpful?

Previous
ListSegmentHosts
Next
Backup
© 2026 Direct Cursus Technology L.L.C.